Subject: bug#56345: 29.0.50; [PATCH] Add column hiding to tabulated-list

From: Michael Heerdegen <[email-masked]>
Date: Thu, 08 Sep 2022 07:57:12 +0200

Thuna <[email-masked]> writes:

> I don't know how `proced' and `ibuffer' specifically handles views, but
> I don't think it is a good idea to put the burden on external packages
> when tabulated-list is right there.  Especially since this leads to a
> lot of (what I imagine to be) duplicated code across packages.

Exactly.  tabulated-list should implement this feature.

> I don't exactly understand what you mean by "interface".  Are you
> referring to the package which should be responsible for managing
> which columns are visible?

No, I mean, how should column hiding happen?  Should the user select
single columns interactively, or should we provide a way to define
restricted views?  Maybe we can have both?

Michael.